PLplot: psttf.cc File Reference

PLplot 5.15.0

Macros | Functions | Variables
psttf.cc File Reference
`#include "plDevs.h"`
`#include "plplotP.h"`
`#include "drivers.h"`
`#include "ps.h"`
`#include <string.h>`
`#include <time.h>`
`#include "plfreetype.h"`
`#include <iostream>`
`#include <fstream>`
`#include <LASi.h>`

Go to the source code of this file.

## Macros
#define | TRMFLT(a) ( ( fabs( a ) < 5.0e-4 ) ? 0.0 : ( a ) )
#define | OUTBUF_LEN 128
#define | N_Pango_Lookup 5
#define | FAMILY_LOOKUP_LEN 1024
#define | MAX_NUM_TRIES 10
#define | RISE_FACTOR 0.6
#define | PROC_STR_STRING_LENGTH 1000

## Functions
static char * | ps_getdate (void)
static void | ps_init (PLStream *)
static void | fill_polygon (PLStream *pls)
static void | proc_str (PLStream *, EscText *)
static void | psttf_dispatch_init_helper (PLDispatchTable *pdt, const char *menustr, const char *devnam, int type, int seq, plD_init_fp init)
void | writeHeader (PLStream *pls)
void | plD_line_psttf (PLStream *pls, short x1a, short y1a, short x2a, short y2a)
void | plD_polyline_psttf (PLStream *pls, short *xa, short *ya, PLINT npts)
void | plD_eop_psttf (PLStream *pls)
void | plD_bop_psttf (PLStream *pls)
void | plD_tidy_psttf (PLStream *pls)
void | plD_state_psttf (PLStream *pls, PLINT op)
void | plD_esc_psttf (PLStream *pls, PLINT op, void *ptr)

## Variables
PLDLLIMPEXP_DRIVER const char * | plD_DEVICE_INFO_psttf =
static char | outbuf [OUTBUF_LEN]
static int | text = 1
static int | color
static int | hrshsym = 0
const char * | DefaultFamilyLookup [N_Pango_Lookup]
const char * | EnvFamilyLookup [N_Pango_Lookup]
char | FamilyLookup [N_Pango_Lookup][FAMILY_LOOKUP_LEN]
const FontWeight | WeightLookup [2]
const FontStyle | StyleLookup [3]
static DrvOpt | ps_options []

## Macro Definition Documentation

## ◆ FAMILY_LOOKUP_LEN

#define FAMILY_LOOKUP_LEN 1024

Definition at line 107 of file psttf.cc.

## ◆ MAX_NUM_TRIES

#define MAX_NUM_TRIES 10

Definition at line 204 of file psttf.cc.

## ◆ N_Pango_Lookup

#define N_Pango_Lookup 5

Definition at line 89 of file psttf.cc.

## ◆ OUTBUF_LEN

#define OUTBUF_LEN 128

Definition at line 81 of file psttf.cc.

## ◆ PROC_STR_STRING_LENGTH

#define PROC_STR_STRING_LENGTH 1000

## ◆ RISE_FACTOR

#define RISE_FACTOR 0.6

Definition at line 837 of file psttf.cc.

## ◆ TRMFLT

#define TRMFLT | ( |  | a | ) | ( ( fabs( a ) < 5.0e-4 ) ? 0.0 : ( a ) )

Definition at line 46 of file psttf.cc.

## Function Documentation

## ◆ fill_polygon()

static void fill_polygon | ( | PLStream * | pls | ) |
| static

Definition at line 754 of file psttf.cc.

## ◆ plD_bop_psttf()

void plD_bop_psttf | ( | PLStream * | pls | ) |

Definition at line 571 of file psttf.cc.

## ◆ plD_eop_psttf()

void plD_eop_psttf | ( | PLStream * | pls | ) |

Definition at line 557 of file psttf.cc.

## ◆ plD_esc_psttf()

void plD_esc_psttf | ( | PLStream * | pls,
|  | PLINT | op,
|  | void * | ptr
| ) |  |

Definition at line 733 of file psttf.cc.

## ◆ plD_line_psttf()

void plD_line_psttf | ( | PLStream * | pls,
|  | short | x1a,
|  | short | y1a,
|  | short | x2a,
|  | short | y2a
| ) |  |

Definition at line 483 of file psttf.cc.

## ◆ plD_polyline_psttf()

void plD_polyline_psttf | ( | PLStream * | pls,
|  | short * | xa,
|  | short * | ya,
|  | PLINT | npts
| ) |  |

Definition at line 542 of file psttf.cc.

## ◆ plD_state_psttf()

void plD_state_psttf | ( | PLStream * | pls,
|  | PLINT | op
| ) |  |

Definition at line 677 of file psttf.cc.

## ◆ plD_tidy_psttf()

void plD_tidy_psttf | ( | PLStream * | pls | ) |

Definition at line 620 of file psttf.cc.

## ◆ proc_str()

void proc_str | ( | PLStream * | pls,
|  | EscText * | args
| ) |  |
| static

Definition at line 848 of file psttf.cc.

## ◆ ps_getdate()

static char * ps_getdate | ( | void |  | ) |
| static

Definition at line 818 of file psttf.cc.

## ◆ ps_init()

static void ps_init | ( | PLStream * | pls | ) |
| static

Definition at line 206 of file psttf.cc.

## ◆ psttf_dispatch_init_helper()

static void psttf_dispatch_init_helper | ( | PLDispatchTable * | pdt,
|  | const char * | menustr,
|  | const char * | devnam,
|  | int | type,
|  | int | seq,
|  | plD_init_fp | init
| ) |  |
| static

Definition at line 131 of file psttf.cc.

## ◆ writeHeader()

void writeHeader | ( | PLStream * | pls | ) |

Definition at line 327 of file psttf.cc.

## Variable Documentation

## ◆ color

int color
| static

Definition at line 84 of file psttf.cc.

## ◆ DefaultFamilyLookup

const char* DefaultFamilyLookup[N_Pango_Lookup]

Initial value:
= {
"sans",
"serif",
"monospace",
"sans,serif",
"sans,serif"
}

Definition at line 91 of file psttf.cc.

## ◆ EnvFamilyLookup

const char* EnvFamilyLookup[N_Pango_Lookup]

Initial value:
= {
"PLPLOT_FREETYPE_SANS_FAMILY",
"PLPLOT_FREETYPE_SERIF_FAMILY",
"PLPLOT_FREETYPE_MONO_FAMILY",
"PLPLOT_FREETYPE_SCRIPT_FAMILY",
"PLPLOT_FREETYPE_SYMBOL_FAMILY"
}

Definition at line 99 of file psttf.cc.

## ◆ FamilyLookup

char FamilyLookup[N_Pango_Lookup][FAMILY_LOOKUP_LEN]

Definition at line 108 of file psttf.cc.

## ◆ hrshsym

int hrshsym = 0
| static

Definition at line 85 of file psttf.cc.

## ◆ outbuf

char outbuf[OUTBUF_LEN]
| static

Definition at line 82 of file psttf.cc.

## ◆ plD_DEVICE_INFO_psttf

PLDLLIMPEXP_DRIVER const char* plD_DEVICE_INFO_psttf =

Definition at line 53 of file psttf.cc.

## ◆ ps_options

DrvOpt ps_options[]
| static

Initial value:
= { { "text", DRV_INT, &text, "Use Postscript text (text=0|1)" },
{ "color", DRV_INT, &color, "Use color (color=0|1)" },
{ "hrshsym", DRV_INT, &hrshsym, "Use Hershey symbol set (hrshsym=0|1)" },
{ NULL, DRV_INT, NULL, NULL } }
hrshsym
static int hrshsym
Definition: psttf.cc:85
text
static int text
Definition: psttf.cc:83
color
static int color
Definition: psttf.cc:84
DRV_INT
Definition: plplotP.h:758

Definition at line 121 of file psttf.cc.

## ◆ StyleLookup

const FontStyle StyleLookup[3]

Initial value:
= {
NORMAL_STYLE,
ITALIC,
OBLIQUE
}

Definition at line 115 of file psttf.cc.

## ◆ text

int text = 1
| static

Definition at line 83 of file psttf.cc.

## ◆ WeightLookup

const FontWeight WeightLookup[2]

Initial value:
= {
NORMAL_WEIGHT,
BOLD
}

Definition at line 110 of file psttf.cc.